TLM-2.0: tlm::tlm_analysis_triple< T > Struct Template Reference

# tlm::tlm_analysis_triple< T > Struct Template Reference

`#include <tlm_analysis_triple.h>`

List of all members.

## Public Member Functions
| tlm_analysis_triple ()
| tlm_analysis_triple (const tlm_analysis_triple &triple)
| tlm_analysis_triple (const T &t)
| operator T ()
| operator const T & () const
## Public Attributes
sc_core::sc_time | start_time
T | transaction
sc_core::sc_time | end_time

## Detailed Description

### template<typename T>
struct tlm::tlm_analysis_triple< T >

Definition at line 26 of file tlm_analysis_triple.h.

## Constructor & Destructor Documentation

template<typename T>

tlm::tlm_analysis_triple< T >::tlm_analysis_triple | ( |  | ) | `[inline]`

Definition at line 32 of file tlm_analysis_triple.h.

template<typename T>

tlm::tlm_analysis_triple< T >::tlm_analysis_triple | ( | const tlm_analysis_triple< T > & | triple | ) | `[inline]`

Definition at line 34 of file tlm_analysis_triple.h.

template<typename T>

tlm::tlm_analysis_triple< T >::tlm_analysis_triple | ( | const T & | t | ) | `[inline]`

Definition at line 40 of file tlm_analysis_triple.h.

## Member Function Documentation

template<typename T>

tlm::tlm_analysis_triple< T >::operator const T & | ( |  | ) | const`[inline]`

Definition at line 45 of file tlm_analysis_triple.h.

template<typename T>

tlm::tlm_analysis_triple< T >::operator T | ( |  | ) | `[inline]`

Definition at line 44 of file tlm_analysis_triple.h.

## Member Data Documentation

template<typename T>

sc_core::sc_time tlm::tlm_analysis_triple< T >::end_time

Definition at line 30 of file tlm_analysis_triple.h.

template<typename T>

sc_core::sc_time tlm::tlm_analysis_triple< T >::start_time

Definition at line 28 of file tlm_analysis_triple.h.

template<typename T>

T tlm::tlm_analysis_triple< T >::transaction

Definition at line 29 of file tlm_analysis_triple.h.

The documentation for this struct was generated from the following file:

- include/tlm/tlm_1/tlm_analysis/tlm_analysis_triple.h